import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../constants';

export const styles = StyleSheet.create({
  booleanIconTrack: {
    position: 'absolute',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: spacingSizes.small,
    borderRadius: borderRadiusSizes.medium,
    height: 40,
    width: '100%',
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
  },
  booleanIconTrackLeftIcon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  booleanIconTrackRightIcon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
});
