import React, { FC } from 'react';
import { View } from 'react-native';
import { styles } from './styles';
import { ModalWrapperModel } from '../modalWrapperModels';

export const BottomDynamicModalWrapper: FC<ModalWrapperModel> = ({ children }) => {
  return (
    <View style={styles.bottomDynamicModalWrapper}>
      {children}
    </View>
  );
};
