import { FC, ReactNode } from 'react';
import { SvgProps } from '../../atoms/icons/icon.model';

export interface SliderModel {
  ThumbComponent: () => ReactNode;
  IconLeft: FC<SvgProps>
  IconRight: FC<SvgProps>;
  onStateChange?: (value: number) => void;
  defaultValue?: number;
}

export interface ContinuousSliderModel extends SliderModel {
  minValue: number;
  maxValue: number;
  onFinishChange?: (value: number) => void;
  isDisabled?: boolean;
}
