import type { DateNumberOfTheMonth, MonthNumber, DateNumberMonthNumberAndYear } from './calendarModel';

interface GetCurrentDateResponse extends DateNumberMonthNumberAndYear {
  totalDates: DateNumberOfTheMonth
}

type GetCurrentDate = () => GetCurrentDateResponse;

export const getCurrentDate: GetCurrentDate = () => ({
  dateNumber: new Date().getUTCDate() as DateNumberOfTheMonth,
  monthNumber: new Date().getUTCMonth() + 1 as MonthNumber,
  year: new Date().getUTCFullYear(),
  totalDates:  new Date(
    new Date().getUTCFullYear(), 
    new Date().getUTCMonth() + 1, 
    1,
  ).getUTCDate() as DateNumberOfTheMonth,
});
